Skip to main content
PUT
Update or archive a user journey with native revision checks

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Path Parameters

repository_id
string<uuid>
required

Verify registration UUID returned as id by list_verify_repositories; not the provider repository ID.

cuj_id
string<uuid>
required

Body

application/json
expected_list_revision
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
expected_revision
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
org_id
string

Organization selected by a workspace API key; omit for an organization-bound key or MCP connection.

Minimum string length: 1
definition
object
archive
boolean
default:false

Response

OK

journey_id
string
required